//ATmega324PB

#define F_CPU  14745600UL

#define LED0 (1<<5)

#define BUAD  9600
#define BRC   ((F_CPU/16/BUAD) - 1) 

 byte str[13] = {'H','e','l','l','o',' ','W','o','r','l','d', 0x0A, 0x0D}; 
 byte t_time=0;
void setup() {
  DDRD  |= LED0;
  PORTD |= LED0;
  
  UBRR2H = (unsigned char) (BRC >> 8);  // порт UART2, скорость = BUAD
  UBRR2L = (unsigned char)  BRC; 
  UCSR2B |= (1 << TXEN); //разрешение передачи
  UCSR2C |= (1 << UCSZ1) | (1 << UCSZ0); //8 бит

}

void out_uart2(byte bb) //посылка UART2 с ожиданием готовности
{
  while (!bitRead(UCSR2A,UDRE));//ожидаем очистки бита UDRE
  UDR2=bb; //посылаем байт
}

void loop() {
  t_time= byte(millis()/1000); //функция millis() и delay() работают
byte t_10=0;
//выводим t_time, преобразованный в ASCII
//ограничимся 3-разрядным числом 256 ведущие нули не выводим
//  if (t_time<0) char_lcd('-');
//  t_time=abs(t_time); //отбрасываем знак
  t_10=t_time/100; //старший
if (t_10!=0) out_uart2(t_10+0x30);
  t_10 = t_time/10;  
if (t_10!=0) out_uart2(t_10%10+0x30); //средний
  t_10=t_time%10;
out_uart2(t_10+0x30); //младший

 out_uart2(';');
 out_uart2(0x0A); //перевод строки 0x0A
 out_uart2(0x0D); //возврат каретки 0x0D
for (byte i=0; i<13; i++) {
  out_uart2(str[i]); //выводим символы строки str
} 
     PORTD ^= LED0; // мигание светодиодом LED1 
    delay(1000);
}
