//подключение LCD16x02 r ATmega324pb
//разъем P2
/*
 1 GND
 2 Vcc
 3 Vo - регулятор подсветки
 4 RS ->  PD5
 5 R/W -> PD6
 6 E ->   PD7
 7 D0 -> PB0
 8 D1 -> PB1
 9 D2 -> PB2
10 D3 -> PB3
11 D4 -> PB4
12 D5 -> PB5
13 D6 -> PB6
14 D7 -> PB7
15 Vcc - подсветка
16 GND - подсветка
*/

#include "lcd_proc.c" //текст процедур LCD на вкладке

void setup() {
  DDRD |= (1<<5)|(1<<6)|(1<<7); //PD5,PD6,PD7 - на выход
  DDRB |= B11110000; //PB4-PB7 - на выход
  lcd_init();
  clearlcd();
  setpos(0,0);
  for (byte i=0; i<10; i++) 
  {byte ch=i+0x30; char_lcd(ch);}
  char_lcd(0xDF); //градус
  setpos(2,1);
  str_lcd("Hello World!");
   
}

void loop() {
  // put your main code here, to run repeatedly:

}
